---
# DESY Public Dataset Metadata definition © 2024 by Deutsches
# Elektronen-Synchrotron DESY is licensed under CC BY 4.0
id: https://desy.de/linkml/opendata/xas
name: P08
prefixes:
  linkml: https://w3id.org/linkml/
  UO: http://purl.obolibrary.org/obo/UO_
  qudt: http://qudt.org/schema/qudt/
  unit: http://qudt.org/vocab/unit/
  OM: http://www.ontology-of-units-of-measure.org/resource/om-2/
  nerc: http://vocab.nerc.ac.uk/collection/P06/current/
  # nexus: 
imports:
  - linkml:types
  - base_types
  - base_catalogue_metadata
  - base_scicat_dataset
  - technique_gixd
  - base_sample
default_range: string
classes:
  P08ScientificMetadata:
    description: The metadata associated with P08
    is_a: PetraScientificMetadata
    mixins: [GIXD_Container]
    attributes:
      special_p08_parameter:
        description: something that only exists at P08
      sample:
        range: base_sample  # TODO: add one-of rule
  P08Dataset:
    tree_root: true
    is_a: ScicatDataset
    description: The metadata associated with P08
    attributes:
      scientificMetadata:
        range: P08ScientificMetadata
        required: true
